Loading...
Searching...
No Matches
svn_quoprint.h File Reference

quoted-printable encoding and decoding functions. More...

`#include <apr_pools.h>`
`#include "svn_string.h"`
`#include "svn_io.h"`

Go to the source code of this file.

## Functions

svn_stream_t * | svn_quoprint_encode (svn_stream_t *output, apr_pool_t *pool)
| Return a writable generic stream which will encode binary data in quoted-printable format and write the encoded data to output.
svn_stream_t * | svn_quoprint_decode (svn_stream_t *output, apr_pool_t *pool)
| Return a writable generic stream which will decode binary data in quoted-printable format and write the decoded data to output.
svn_stringbuf_t * | svn_quoprint_encode_string (const svn_stringbuf_t *str, apr_pool_t *pool)
| Simpler interface for encoding quoted-printable data assuming we have all of it present at once.
svn_stringbuf_t * | svn_quoprint_decode_string (const svn_stringbuf_t *str, apr_pool_t *pool)
| Simpler interface for decoding quoted-printable data assuming we have all of it present at once.

## Detailed Description

quoted-printable encoding and decoding functions.

# autotoc_md91

Definition in file svn_quoprint.h.

## Function Documentation

## svn_quoprint_decode()

svn_stream_t * svn_quoprint_decode | ( | svn_stream_t * | output,
|  | apr_pool_t * | pool )

Return a writable generic stream which will decode binary data in quoted-printable format and write the decoded data to output.

Be sure to close the stream when done writing in order to squeeze out the last bit of encoded data.

## svn_quoprint_decode_string()

svn_stringbuf_t * svn_quoprint_decode_string | ( | const svn_stringbuf_t * | str,
|  | apr_pool_t * | pool )

Simpler interface for decoding quoted-printable data assuming we have all of it present at once.

The returned string will be allocated from pool.

## svn_quoprint_encode()

svn_stream_t * svn_quoprint_encode | ( | svn_stream_t * | output,
|  | apr_pool_t * | pool )

Return a writable generic stream which will encode binary data in quoted-printable format and write the encoded data to output.

Be sure to close the stream when done writing in order to squeeze out the last bit of encoded data.

## svn_quoprint_encode_string()

svn_stringbuf_t * svn_quoprint_encode_string | ( | const svn_stringbuf_t * | str,
|  | apr_pool_t * | pool )

Simpler interface for encoding quoted-printable data assuming we have all of it present at once.

The returned string will be allocated from pool.